### Method

# Gsk RoundedRect shrink

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_shrink (
      GskRoundedRect* self,
      float top,
      float right,
      float bottom,
      float left
    )

#### Description [src]

Shrinks (or grows) a rounded rectangle by moving the 4 sides according to the offsets given.

The corner radii will be changed in a way that tries to keep the center of the corner circle intact. This emulates CSS behavior.

This function also works for growing rounded rectangles if you pass negative values for the `top`, `right`, `bottom` or `left`.

#### Parameters

`top`

  Type: `float`

  How far to move the top side downwards.

`right`

  Type: `float`

  How far to move the right side to the left.

`bottom`

  Type: `float`

  How far to move the bottom side upwards.

`left`

  Type: `float`

  How far to move the left side to the right.

#### Return value

Type: `GskRoundedRect`

The resized rounded rectangle.

The returned data is owned by the instance.